# novaclient.v2.assisted_volume_snapshots module

Assisted volume snapshots - to be used by Cinder and not end users.

class novaclient.v2.assisted_volume_snapshots.AssistedSnapshotManager(api)

  Bases: `Manager`

  create(volume_id, create_info)
  delete(snapshot, delete_info)

    Delete a specified assisted volume snapshot.

    Parameters:

      - snapshot – an assisted volume snapshot to delete

      - delete_info – Information for snapshot deletion

    Returns:

      An instance of novaclient.base.TupleWithMeta

  resource_class

    alias of `Snapshot`

class novaclient.v2.assisted_volume_snapshots.Snapshot(manager, info, loaded=False, resp=None)

  Bases: `Resource`

  Populate and bind to a manager.

  Parameters:

    - manager – BaseManager object

    - info – dictionary representing resource attributes

    - loaded – prevent lazy-loading if set to True

    - resp – Response or list of Response objects

  delete()

    Delete this snapshot.

    Returns:

      An instance of novaclient.base.TupleWithMeta

this page last updated: 2026-04-01 09:32:37

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug